pkgname=python3-fildem
pkgver=0.6.4
pkgrel=1
pkgdesc="This project is a fork of gnomehud with the adition of a global menu bar"
arch=('i686' 'x86_64')
url="https://github.com/gonzaarcr/fildem"
depends=('bamf'
         'appmenu-gtk-module'
         'python-wheel'
         'python-pip'
         'libkeybinder3'
         'libdbusmenu-gtk2'
         'libdbusmenu-gtk3'
         'libdbusmenu-qt5')
makedepends=('git')
provides=("python3-fildem=$pkgver")
source=('git+https://github.com/gonzaarcr/fildem.git')
md5sums=('SKIP')

pkgver() {
    cd "$srcdir/fildem"
    git checkout pypkg &> /dev/null
    git tag | tail -1
}


build() {
    cd "$srcdir/fildem"
    python3 setup.py bdist_wheel
}

check() {
    cd "$srcdir/fildem"
    python3 setup.py test
}

package() {
    cd "$srcdir/fildem"
    python3 setup.py install --skip-build --root=$pkgdir --optimize=1
}
